Summary:   An intrusion detection system
Name:      snort
Version:   2.4.5
Release: alt2.M40.3
Copyright: GPL
Group:     Security/Networking
Url:       http://www.snort.org

# You can omit building some target packages via 'rpmbuild --without xxx'
%def_with    mysql
%def_without postgresql
%def_with    odbc
%def_without prelude
%def_with    snmp
%def_with    clamav
%def_with    inline
%def_without libpq3
# You can omit this feature via 'rpmbuild --disable flexresp'
%def_enable flexresp

%define snort_version_patch   2.3.0-alt1
%define prelude_patch_version 0.3.6
%define snmp_patch_version    2.4.5-alt1

%define dbhints_dir  %_datadir/%name-dbhints
%define dbhints_path %dbhints_dir/%name-dbhints.sql

Source0:   %url/dl/current/%name-%version.tar.gz
Source5:   snortdb-extra.bz2

Source10:  snort.sysconfig.m4
Source20:  README-ALT.ru.m4
Source21:  README-ALT.uk.m4
Source30:  snort.logrotate.m4
Source99:  snortd

Patch2:    SnortSnmp-%snmp_patch_version.patch

# from 2.3.1-3mdk
Patch10:   snort-2.3.0-net-snmp_fix.diff.bz2
Patch11:   snort-2.3.0-no_timestamp.diff.bz2
Patch13:   snort-2.4.0-clamav-alt1.diff
Patch14:   snort-2.4.0-lib64-alt.patch
Patch15:   snort-2.4.0-lib64-alt2.patch

Requires:  libpcap >= 0.4
Requires:  service >= 0.5.6
Requires:  snort-base, snort-rules
PreReq:    alternatives >= 0.0.6
BuildPreReq: libalternatives-devel >= 0.0.6
BuildPreReq: libltdl-devel, m4, bzip2

# Automatically added by buildreq on Fri Jan 14 2005, explicit versions added manually
BuildRequires: libnet1-devel >= 1.0.2a, libpcap-devel >= 0.4, libpcre-devel
BuildRequires: libssl-devel, zlib-devel

%if_with postgresql
BuildRequires: postgresql-devel
%if_with libpq3
BuildRequires: libpq3-devel
%else
BuildRequires: libpq-devel
%endif
%endif

%if_with prelude
Requires:  libprelude
%endif
%if_with mysql
BuildRequires: libMySQL-devel
%endif
%if_with prelude
BuildRequires: libprelude-devel
%endif
%if_with odbc
BuildRequires: libunixODBC-devel
%endif
%if_with snmp
BuildRequires: libnet-snmp-devel
%endif
%if_with clamav
BuildRequires: libclamav-devel
%endif
%if_with inline
BuildRequires: iptables-devel
%endif

%if_with mysql
%if_with postgresql
%if_with odbc
%if_with snmp
%if_with clamav
%if_with inline
%def_with bloat
%endif
%endif
%endif
%endif
%endif
%endif
%def_without bloat

Summary(ru_RU.KOI8-R):  /  

%description
Snort is a libpcap-based packet sniffer/logger which can be used as a
lightweight network intrusion detection system.  It features rules
based logging and can perform protocol analysis, content
searching/matching and can be used to detect a variety of attacks and
probes, such as buffer overflows, stealth port scans, CGI attacks, SMB
probes, OS fingerprinting attempts, and much more.  Snort has a
real-time alerting capabilty, with alerts being sent to syslog, a
seperate "alert" file, or as a WinPopup message via Samba's smbclient.

Please see the documentation in %_docdir/%name-%version

%description -l ru_RU.KOI8-R
Snort --       ,
   libpcap.   Snort  
  ,    
     .

Snort         ,
        ( ,
   SMB, -,  CGI, 
    ).

Snort         ,
   -,   ""
  WinPopup-,    smbclient.

     .     ,
    snort   flexresp  bloat  .

,    ,
   %_docdir/%name-%version

%description -l uk_UA.KOI8-U
Snort --   Ӧ    
Ԧ,   ¦̦æ libpcap.  դ  
   ͦ  ̦ ͦ .

     Ԧ  
  ֦,     ҦΦΦ  
  ( ,  Ԧ, ͦ
,  CGI, SMB,    æϧ 
  ).

Snort  צ צ   ¦  
צ, צΦ   -,  
""   WinPopup-צ, צ  
 smbclient.

-, '   æ,  ͦ 
%_docdir/%name-%version

%package plain+flexresp
Summary: Snort (plain) with Flexible Response
Summary(ru_RU.KOI8-R): Snort     
Group: Security/Networking
Requires: %name = %version
Requires: libnet1
%description plain+flexresp
Snort compiled with flexresp support.
Flexible Response allows snort to actively close offending connections.
Requires snort libnet rpm.
%description -l ru_RU.KOI8-R plain+flexresp
Snort,    flexresp. Flexible Responses 
   ,  
   .   libnet.
%description -l uk_UA.KOI8-U plain+flexresp
Snort, Ц  Ц flexresp.
 ¦̦ libnet.

%package mysql
Summary: Snort with MySQL support
Summary(ru_RU.KOI8-R): Snort      MySQL
Group: Security/Networking
Requires: %name = %version
%description mysql
Snort compiled with mysql support.
%description -l ru_RU.KOI8-R mysql
Snort,    MySQL    .
%description -l uk_UA.KOI8-U mysql
Snort, Ц  Ц MySQL.

%package mysql+flexresp
Summary: Snort with MySQL support and Flexible Response
Summary(ru_RU.KOI8-R): Snort      MySQL  
Group: Security/Networking
Requires: %name = %version
Requires: libnet1
%description mysql+flexresp
Snort compiled with mysql support and flexresp support.
Requires snort libnet rpm.
%description -l ru_RU.KOI8-R mysql+flexresp
Snort,    MySQL    
 flexresp -      .
  libnet.
%description -l uk_UA.KOI8-U mysql+flexresp
Snort, Ц  Ц MySQL  flexresp.
 ¦̦ libnet.

%package postgresql
Summary: Snort with PostgreSQL support
Summary(ru_RU.KOI8-R): Snort      PostgreSQL
Group: Security/Networking
Requires: %name = %version
%description postgresql
Snort compiled with postgresql support. 
%description -l ru_RU.KOI8-R postgresql
Snort,    PostgreSQL    .
%description -l uk_UA.KOI8-U postgresql
Snort, Ц  Ц PostgreSQL.

%package postgresql+flexresp
Summary: Snort with PostgreSQL support and Flexible Response
Summary(ru_RU.KOI8-R): Snort      PostgreSQL  
Group: Security/Networking
Requires: %name = %version
Requires: libnet1
%description postgresql+flexresp
Snort compiled with postgresql support and flexresp support.
Requires snort libnet rpm.
%description -l ru_RU.KOI8-R postgresql+flexresp
Snort,    PostgreSQL    
 flexresp -      .
  libnet.
%description -l uk_UA.KOI8-U postgresql+flexresp
Snort, Ц  Ц PostgreSQL  flexresp.
 ¦̦ libnet.

%package odbc
Summary: Snort with unixODBC support
Summary(ru_RU.KOI8-R): Snort     ODBC-
Group: Security/Networking
Requires: %name = %version
Requires: libunixODBC
%description odbc
Snort compiled with unixODBC support. 
%description -l ru_RU.KOI8-R odbc
Snort,    unixODBC    .
%description -l uk_UA.KOI8-U odbc
Snort, Ц  Ц unixODBC.

%package odbc+flexresp
Summary: Snort with unixODBC support and Flexible Response
Summary(ru_RU.KOI8-R): Snort     ODBC-  
Group: Security/Networking
Requires: %name = %version
Requires: libnet1
Requires: libunixODBC
%description odbc+flexresp
Snort compiled with unixODBC support and flexresp support.
Requires snort libnet rpm.
%description -l ru_RU.KOI8-R odbc+flexresp
Snort,    ODBC-    
 flexresp -      .
  libnet.
%description -l uk_UA.KOI8-U odbc+flexresp
Snort, Ц  Ц unixODBC  flexresp.
 ¦̦ libnet.

%package snmp
Summary: Snort with SNMP support
Summary(ru_RU.KOI8-R): Snort     SNMP
Group: Security/Networking
Requires: %name = %version
Requires: libnet-snmp
%description snmp
Snort compiled with SNMP support for sending alerts
to Network Management System (NMS).
%description -l ru_RU.KOI8-R snmp
Snort,    SNMP. SNMP   
       .
%description -l uk_UA.KOI8-U snmp
Snort, Ц  Ц SNMP

%package snmp+flexresp
Summary: Snort with SNMP support and Flexible Response
Summary(ru_RU.KOI8-R): Snort     SNMP  
Group: Security/Networking
Requires: %name = %version
Requires: libnet-snmp
%description snmp+flexresp
Snort compiled with SNMP support for sending alerts
to Network Management System (NMS).
Flexible Resonse support is enabled too.
%description -l ru_RU.KOI8-R snmp+flexresp
Snort,    SNMP
( SNMP      
    )
 flexresp -      .
%description -l uk_UA.KOI8-U snmp+flexresp
Snort, Ц  Ц SNMP  flexresp.

%package clamav
Summary: Snort with ClamAV support
Summary(ru_RU.KOI8-R): Snort      ClamAV
Group: Security/Networking
Requires: %name = %version
Requires: libclamav
%description clamav
Snort compiled with ClamAV antivirus support
for checking viruses in verified traffic.
%description -l ru_RU.KOI8-R clamav
Snort,     ClamAV,
       .
%description -l uk_UA.KOI8-U clamav
Snort, Ц  Ц ClamAV

%package clamav+flexresp
Summary: Snort with ClamAV support and Flexible Response
Summary(ru_RU.KOI8-R): Snort     ClamAV  
Group: Security/Networking
Requires: %name = %version
Requires: libclamav
%description clamav+flexresp
Snort compiled with ClamAV antivirus support
for checking viruses in verified traffic.
%description -l ru_RU.KOI8-R clamav+flexresp
Snort,     ClamAV,
       ,
 flexresp -      .
%description -l uk_UA.KOI8-U clamav+flexresp
Snort, Ц  Ц ClamAV  flexresp.

%package inline
Summary: Snort with IPTables support
Summary(ru_RU.KOI8-R): Snort     IPTables  PCAP
Group: Security/Networking
Requires: %name = %version
Requires: iptables
%description inline
Snort-Inline takes packets from iptables instead of libpcap.
It then uses new rule types to help iptables make pass or drop decisions
based on snort rules.
%description -l ru_RU.KOI8-R inline
Snort,        IPTables
  PCAP.       
 Snort'  .
%description -l uk_UA.KOI8-U inline
Snort, Ц  Ц IPTables

%package inline+flexresp
Summary: Snort with IPTables and FlexibleResponse support
Summary(ru_RU.KOI8-R): Snort     IPTables  
Group: Security/Networking
Requires: %name = %version
Requires: iptables
%description inline+flexresp
Snort-Inline takes packets from iptables instead of libpcap.
It then uses new rule types to help iptables make pass or drop decisions
based on snort rules.
%description -l ru_RU.KOI8-R inline+flexresp
Snort,        IPTables
  PCAP.       
 Snort'  . Flexresp   
     .
%description -l uk_UA.KOI8-U inline+flexresp
Snort, Ц  Ц IPTables  flexresp.

%package bloat
Summary: Snort with MySQL, PostgreSQL, ODBC, SNMP, ClamAV, IPTables supports and FlexResp
Group: Security/Networking
Requires: %name = %version
Requires: libnet1
%description bloat
Snort compiled with mysql, postgresql, snmp, odbc, clamav, iptables supports and flexresp support.
%description -l ru_RU.KOI8-R bloat
Snort,      :
-     MySQL, PostgreSQL  ODBC,
-          SNMP,
-    ClamAV,
-    IPTables,
-      flexresp
  (  libnet).
        ,   
  ,     
 .      snort   ,
   .
%description -l uk_UA.KOI8-U bloat
Snort, Ц  Ц MySQL, PostgreSQL, ODBC, SNMP, ClamAV, IPTables  flexresp.

%package doc
Summary: Various documentation from Snort IDS distribution.
Summary(ru_RU.KOI8-R):      Snort
Group: Security/Networking
%description doc
Snort manual, FAQ and tons of detailed textual listings
describing all network intrusions known by Snort.
%description doc -l ru_RU.KOI8-R
 , FAQ,    
    ,   Snort.

%package dbhints
Summary: Script for creation human readable descriptions in SQL/ODBC database
Summary(ru_RU.KOI8-R):     SQL/ODBC-   Snort'a
Group: Security/Networking
%description dbhints
This package contain script that generates three tables in any SQL92 compliant
database providing information useful when analyzing network data.
These tables are intended to supplement the base tables required
for database support in snort in order to make data more human readable.
%description dbhints -l ru_RU.KOI8-R
       SQL92,  
    'snort'.     
 ,   ,     ޣ.

:         ,
   Snort,   ,       ,
   Snort'a .

%prep
%setup -q

%if_with snmp
%patch2 -p1
%endif

%if_with snmp
%patch10
%endif
%patch11
#patch12 -p1
%patch13 -p1
%patch14
%patch15

%__mkdir_p building
autoreconf -fisv

%build

export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"

function prepconf() {
    local t=$1
    case $t in
	--without* ) return ;;
    esac
    shift

#   echo DEBUG: Configure args: "$@"
#   return

    local d=$1
    shift
    %__mkdir_p $d
    pushd $d
    %__ln_s -f ../configure ./configure
    OPENSSL_LIB_DIR=%_libdir \
     %configure \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir/%name \
	--with-openssl \
	--with-libpcap \
	--enable-linux-smp-stats \
	--with-oracle=no \
	%{subst_with prelude} \
	"$@"
    %make    
    %__mv src/%name ../building/%name-$d
    popd
}

prepconf   xxx                    plain               --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=no
prepconf %{subst_with mysql}      mysql               --with-mysql=yes --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=no
prepconf %{subst_with postgresql} postgresql          --with-mysql=no  --with-postgresql=yes --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=no
prepconf %{subst_with odbc}       odbc                --with-mysql=no  --with-postgresql=no  --with-odbc=yes --with-snmp=no  --with-clamav=no  -with-inline=no
prepconf %{subst_with snmp}       snmp                --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=yes --with-clamav=no  -with-inline=no
prepconf %{subst_with clamav}     clamav              --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=yes -with-inline=no
prepconf %{subst_with inline}     inline              --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=yes
%if_enabled flexresp
prepconf   xxx                    plain+flexresp      --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=no  --enable-flexresp
prepconf %{subst_with mysql}      mysql+flexresp      --with-mysql=yes --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=no  --enable-flexresp
prepconf %{subst_with postgresql} postgresql+flexresp --with-mysql=no  --with-postgresql=yes --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=no  --enable-flexresp
prepconf %{subst_with odbc}       odbc+flexresp       --with-mysql=no  --with-postgresql=no  --with-odbc=yes --with-snmp=no  --with-clamav=no  -with-inline=no  --enable-flexresp
prepconf %{subst_with snmp}       snmp+flexresp       --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=yes --with-clamav=no  -with-inline=no  --enable-flexresp
prepconf %{subst_with clamav}     clamav+flexresp     --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=yes -with-inline=no  --enable-flexresp
prepconf %{subst_with inline}     inline+flexresp     --with-mysql=no  --with-postgresql=no  --with-odbc=no  --with-snmp=no  --with-clamav=no  -with-inline=yes --enable-flexresp
prepconf %{subst_with bloat}      bloat               --with-mysql=yes --with-postgresql=yes --with-odbc=yes --with-snmp=yes --with-clamav=yes -with-inline=yes --enable-flexresp
%endif

%install
%__mkdir_p %buildroot/{%_sbindir,%_initdir,%_man8dir,%_logdir/%name,%_altdir}
%__mkdir_p %buildroot/%_sysconfdir/{%name,logrotate.d,sysconfig}

weight=0

function myinstall() {
    weight=$[10+$weight]
    test -r "$1" || return 0
    %__install -m 755 "$1" "%buildroot/%_sbindir/$1"

    # Create record file for alterantives
    echo "\
<group name=\"candidate\">
	<option name=\"link\">%_sbindir/%name</option>
	<option name=\"real\">%_sbindir/$1</option>
	<option name=\"weight\" type=\"number\">$weight</option>
</group>
" > %buildroot%_altdir/$1.xml
}

pushd building
for c in %name-{plain,mysql,postgresql,odbc,snmp,clamav,inline}; do
    myinstall "$c"
    myinstall "$c+flexresp"
done
myinstall "%name-bloat"
popd

# Create symlink for %%ghost, actually not packaged
pushd %buildroot/%_sbindir
%__ln_s %name-plain %name
popd

%__install -m 644 %name.8    %buildroot%_man8dir/
%__install -m 644 etc/*.{conf,config,map} etc/sid %buildroot/%_sysconfdir/%name
%__install -m 744 %SOURCE99  %buildroot/%_initdir/
%__subst 's/^var RULE_PATH \.\.\/rules/var RULE_PATH \%_sysconfdir\/%name\/rules/i' %buildroot/%_sysconfdir/%name/%name.conf

m4 -DSNORT_CONFDIRPATH=%_sysconfdir/%name %SOURCE10 > %buildroot/%_sysconfdir/sysconfig/%name
m4 -DSNORT_LOGPATH=%_logdir/%name %SOURCE30 > %buildroot/%_sysconfdir/logrotate.d/%name
m4 -DSNORT_CONFPATH=%_sysconfdir/%name/%name.conf -DSNORT_BINPATH=%_sbindir/%name %SOURCE20 > README-ALT.ru
m4 -DSNORT_CONFPATH=%_sysconfdir/%name/%name.conf -DSNORT_BINPATH=%_sbindir/%name %SOURCE21 > README-ALT.uk

mkdir -p %buildroot%dbhints_dir
bzcat %SOURCE5 > %buildroot%dbhints_path

%pre
%_sbindir/groupadd -rf %name
%_bindir/id %name > /dev/null 2>&1 \
|| %_sbindir/useradd -c "Snort IDS" -g %name -r -M -d /dev/null -s /dev/null %name

%post
%post_register_alternatives %name-plain.xml
%post_service snortd

%preun
%preun_service snortd
%preun_unregister_alternatives %name-plain.xml

%postun
echo
echo You can delete fakeuser \"%name\" using command:
echo -e "\t%_sbindir/userdel %name"
echo if needed
echo

%files
%doc doc/AUTHORS doc/BUGS doc/CREDITS doc/NEWS doc/PROBLEMS doc/README* doc/RULES.todo doc/TODO doc/USAGE doc/WISHLIST
%doc README-ALT.ru README-ALT.uk
%doc schemas/create_*
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_initdir/snortd
%config(noreplace) %_sysconfdir/logrotate.d/%name
%config %_sysconfdir/%name
%attr(1770,root,snort) %dir %_logdir/%name
%_sbindir/%name-plain
%ghost %_sbindir/%name
%_man8dir/%name.*
%_altdir/%name-plain.xml

%if_with mysql
%files mysql
%_sbindir/%name-mysql
%_altdir/%name-mysql.xml
%endif

%if_with postgresql
%files postgresql
%_sbindir/%name-postgresql
%_altdir/%name-postgresql.xml
%endif

%if_with odbc
%files odbc
%_sbindir/%name-odbc
%_altdir/%name-odbc.xml
%endif

%if_with snmp
%files snmp
%_sbindir/%name-snmp
%_altdir/%name-snmp.xml
%endif

%if_with clamav
%files clamav
%_sbindir/%name-clamav
%_altdir/%name-clamav.xml
%endif

%if_with inline
%files inline
%_sbindir/%name-inline
%_altdir/%name-inline.xml
%endif

%if_enabled flexresp

%files plain+flexresp
%_sbindir/%name-plain+flexresp
%_altdir/%name-plain+flexresp.xml

%if_with mysql
%files mysql+flexresp
%_sbindir/%name-mysql+flexresp
%_altdir/%name-mysql+flexresp.xml
%endif

%if_with postgresql
%files postgresql+flexresp
%_sbindir/%name-postgresql+flexresp
%_altdir/%name-postgresql+flexresp.xml
%endif

%if_with odbc
%files odbc+flexresp
%_sbindir/%name-odbc+flexresp
%_altdir/%name-odbc+flexresp.xml
%endif

%if_with snmp
%files snmp+flexresp
%_sbindir/%name-snmp+flexresp
%_altdir/%name-snmp+flexresp.xml
%endif

%if_with clamav
%files clamav+flexresp
%_sbindir/%name-clamav+flexresp
%_altdir/%name-clamav+flexresp.xml
%endif

%if_with inline
%files inline+flexresp
%_sbindir/%name-inline+flexresp
%_altdir/%name-inline+flexresp.xml
%endif

%if_with bloat
%files bloat
%_sbindir/%name-bloat
%_altdir/%name-bloat.xml
%endif

%endif  # flexresp

%files doc
%doc doc/faq.* doc/snort_manual.* doc/snort_schema_v106.pdf

%files dbhints
%dbhints_dir

%post plain+flexresp
%post_register_alternatives %name-plain+flexresp.xml

%post mysql
%post_register_alternatives %name-mysql.xml
%post mysql+flexresp
%post_register_alternatives %name-mysql+flexresp.xml

%post postgresql
%post_register_alternatives %name-postgresql.xml
%post postgresql+flexresp
%post_register_alternatives %name-postgresql+flexresp.xml

%post odbc
%post_register_alternatives %name-odbc.xml
%post odbc+flexresp                        
%post_register_alternatives %name-odbc+flexresp.xml

%post snmp                                 
%post_register_alternatives %name-snmp.xml
%post snmp+flexresp                        
%post_register_alternatives %name-snmp+flexresp.xml

%post clamav                               
%post_register_alternatives %name-clamav.xml
%post clamav+flexresp                     
%post_register_alternatives %name-clamav+flexresp.xml

%post inline                               
%post_register_alternatives %name-inline.xml
%post inline+flexresp                      
%post_register_alternatives %name-inline+flexresp.xml

%post bloat
%post_register_alternatives %name-bloat.xml

%preun plain+flexresp
%preun_unregister_alternatives %name-plain+flexresp.xml
%preun mysql
%preun_unregister_alternatives %name-mysql.xml
%preun mysql+flexresp
%preun_unregister_alternatives %name-mysql+flexresp.xml
%preun postgresql
%preun_unregister_alternatives %name-postgresql.xml
%preun postgresql+flexresp
%preun_unregister_alternatives %name-postgresql+flexresp.xml
%preun odbc
%preun_unregister_alternatives %name-odbc.xml
%preun odbc+flexresp
%preun_unregister_alternatives %name-odbc+flexresp.xml
%preun snmp
%preun_unregister_alternatives %name-snmp.xml
%preun snmp+flexresp
%preun_unregister_alternatives %name-snmp+flexresp.xml
%preun clamav
%preun_unregister_alternatives %name-clamav.xml
%preun clamav+flexresp
%preun_unregister_alternatives %name-clamav+flexresp.xml
%preun inline
%preun_unregister_alternatives %name-inline.xml
%preun inline+flexresp
%preun_unregister_alternatives %name-inline+flexresp.xml
%preun bloat
%preun_unregister_alternatives %name-bloat.xml

%changelog
* Tue Oct 07 2008 Sergey Y. Afonin <asy@altlinux.ru> 2.4.5-alt2.M40.3
- Rebuilt due to libclamav.so.4 -> libclamav.so.5 soname change.
- fixed x86_64 build (snort-2.4.0-lib64-alt2.patch)

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.4.5-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Fri Jun 23 2006 Ilya Evseev <evseev@altlinux.ru> 2.4.5-alt2
- fixup ia64 build: assign explicit path for OpenSSL libraries
- suppress warning on 'ghost' macro in comment

* Fri Jun 16 2006 Ilya Evseev <evseev@altlinux.ru> 2.4.5-alt1
- Updated to version 2.4.5 (of course, with SNMP patch renewed..)
- Prelude support is disabled by default because it's no more in Sisyphus
- Re-enable old libraries linking style,
  see http://wiki.sisyphus.ru/devel/UpStream/AsNeeded

* Thu Nov 10 2005 Ilya Evseev <evseev@altlinux.ru> 2.4.3-alt1
- Updated to version 2.4.3, revisite SNMP patch again..
- Replace manually created symlinks from %_sbindir/%name
  to actual snort binaries by modern alternatives
- Bugfix: create %name user/group before install stage, not after

* Tue Sep 20 2005 Ilya Evseev <evseev@altlinux.ru> 2.4.1-alt1
- Updated to version 2.4.1, revisited SNMP patch (#2)

* Mon Aug 15 2005 Ilya Evseev <evseev@altlinux.ru> 2.4.0-alt1
- Updated to version 2.4.0
- Rules and configuration directory skeleton are moved to separate package
  because they're distributed by upstream staff as independent tarball now,
  and updated more frequently than binary core.
- Patchset changes:
   + revisited patchset: SNMP(#2), ClamAV(#13), lib64(#14)
   + removed patch #1 for Prelude support because it is upstream part now!

* Mon Jun 02 2005 Ilya Evseev <evseev@altlinux.ru> 2.3.3-alt2
- changed PostgreSQL requirements: old = libpq3-devel, new = libpq-devel,
  added '--with libpq3' rpmbuild cmdline option for backward compatibility.
  Temporarily disabled because Sisyphus problems.
- small fixes taken from Mandrake Cooker 2.3.1-3mdk build: lib64, timestamp etc.
- use SNMP for sending alerts (mdk)
- use ClamAV for verifying traffic (mdk)
- use IPTables for verifying/managing traffic in addition to PCAP library (mdk)
- provide SQL script for describing flags/proto/services in snort database (mdk)

* Wed Apr 27 2005 Ilya Evseev <evseev@altlinux.ru> 2.3.3-alt1
- Updated to version 2.3.3
- Allow omit building selected targets via 'rpmbuild --without xxx'

* Sun Mar 13 2005 Ilya Evseev <evseev@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Thu Jan 27 2005 Ilya Evseev <evseev@altlinux.ru> 2.3.0-alt1
- 2.3.0
- revisioned prelude patch, use autoreconf instead of autogen.sh
- documentation is packaged separately (including 4MB of signatures descriptions)
- contrib package is obsoleted since upstream does not contain them anymore
- put rules to /etc/snort/rules instead of /etc/snort
- some generated configs are moved from specfile to separate m4-based templates
- specfile cleanups for better reading

* Fri Jan 14 2005 Ilya Evseev <evseev@altlinux.ru> 2.2.0-alt4
- prelude patch is updated to 0.3.6 for snort 2.2.0
- libltdl-devel is explicitly added to BuildPreReq for preventing rebuild failure

* Tue Sep  7 2004 Ilya Evseev <evseev@altlinux.ru> 2.2.0-alt3
- service script improvements:
   + global lockfile for correct shutdown
   + status routine checks per-process lockfiles using new service-0.5.6 feature
   + fixup is_loaded routine

* Sat Aug 28 2004 Ilya Evseev <evseev@altlinux.ru> 2.2.0-alt2
- fixed bug #1272: incorrect /var/log/snort ownership
- fixed bug #4771: snort daemon was not visible by snort service script
- service script is completely rewritten:
   + bugfix feature: when INTERFACES=any,
     all presented network interfaces are enumerated now
   + built-in default options for running daemon
     even sysconfig does not contain ADDPARAM_*
   + bugfix: condstop/condrestart was unusable
   + support virtual interfaces like eth0:1
- bugfix in logrotate: replace "restart" by "condreload"
- sysconfig description updated

* Wed Aug 25 2004 Ilya Evseev <evseev@altlinux.ru> 2.2.0-alt1
- New release
- added "Requires: service" for rejection install under pre-Master 2.4
- Prelude patch is upgraded to 0.3.5 for Snort 2.1.2
- removed separate Prelude README because Prelude patch already includes it.

* Fri Aug  6 2004 Ilya Evseev <evseev@altlinux.ru> 2.1.3-alt1
- New release
- separate Snort version and Prelude patch version because patch may be outdated.
- Prelude patch is upgraded to 0.3.0

* Fri May 14 2004 Serge A. Volkov <vserge@altlinux.ru> 2.1.0-alt2.2
- Add Buildreq: libunixODBC-devel
- Add Requires: libunixODBC for all snort-odbc* packages

* Thu May 13 2004 Serge A. Volkov <vserge@altlinux.ru> 2.1.0-alt2.1
- Rebuild with openssl-0.9.7d

* Fri Feb  6 2004 Serhii Hlodin <hlodin@altlinux.ru> 2.1.0-alt1
- New release
- Enable statistics reporting through proc by default
- Add unixODBC support to bloat package

* Tue Nov 25 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.5-alt1
- New release

* Thu Nov  6 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.4-alt1
- New release
- Add script for logrotate
- Create new package %name-contrib for all contrib files

* Thu Oct 09 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.2-alt1
- New release

* Sat Sep 06 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.1-alt3
- Add official Prelude IDS patch from Krzysztof Zaraska
  <kzaraska@student.uci.agh.edu.pl>
- Modify description (russian, ukrainian). Thanks to Michael Shigorin
  <mike@osdn.org.ua>
- Add README-ALT.ru README-ALT.uk files to documentation

* Sat Aug 30 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.1-alt2
- Add Prelude IDS patch

* Wed Aug 27 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.1-alt1
- fix host endianess problem in udp decoder
- vlan decoding fixes from Michael Pomraning
- add tcp state checking to httpflow
- ignoring bad checksums throughout snort if checksumming is turned on
- config disable_ttcp_alerts is now also config disable_tcpopt_ttcp_alerts
- better initialization handling of low memory conditions pointing to the low memory search engine
- byte_jump / byte_test 2 byte cases handled and unified
- correctly assign port numbers on tcpoption events
- pass rule logic changed to "win" in specific multiple event cases
- named interface support for win32 from the winpcap folks
- spp_bo now also will work with log-only output plugins
- added window detection plugin documentation to manual
- lots of new rules and tons of rule documentation 
- init-script rewrited according to new policy
- remove patch for Prelude IDS

* Wed May 28 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.0-alt3
- Fixed spec-file
- Fixed snord startup file

* Tue May 23 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.0-alt2
- Update source URL
- Update initscript
- Removed command for delete fakeuser "snort" in %postun section
- Fixed %post section
- Add patch for Prelude IDS

* Sun May 11 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.0-alt1
- Initial build based on original SNORT spec-file
